This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 969444 - Firefox's open containing folder option initializes spe
Firefox's open containing folder option initializes spe
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 08:30 EDT by David Siembab
Modified: 2014-02-05 18:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:10:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Siembab 2013-05-31 08:30:07 EDT
Description of problem:
    Upon finishing of a downloaded File or anything in the Downloads menu. If I click on the open containing folder option in firefox, spe is launched. 
Just weird behaviour. 

Version-Release number of selected component (if applicable):
firefox-21.0-3.fc18.x86_64
spe-0.8.4.h-12.fc18.noarch

How reproducible:
well it happens on my machine

Steps to Reproduce:
1. Install both packages
2. Open Firefox and download Something
3. Once download has finished click the green Arrow in the top right corner
4. to the right of the file you downloaded click the folder arrow

Actual results:
spe is opened

Expected results:
folder where downloaded file should be opened

Additional info:
Possibly a bug in spe package, once spe is removed the bug disappears
Comment 1 Gwyn Ciesla 2013-06-03 10:34:54 EDT
I can't reproduce this, does it matter what type of file is downloaded?
Comment 2 David Siembab 2013-06-03 23:49:55 EDT
I am using lxde desktop, it happens on my computer with xfce and lxde
all types it's almost like firefox is using spe as the file manager for downloads
Comment 3 Gwyn Ciesla 2013-06-04 08:14:53 EDT
Does it happen under GNOME or KDE?
Comment 4 David Siembab 2013-06-05 00:44:06 EDT
I tend not to install Gnome or KDE on my machines. I tried a gdb on firefox-bin but it didn't say much cept that spe was started, at the same time I hit the folder icon in downloads section of firefox. This is puzzling
Comment 5 Gwyn Ciesla 2013-06-06 08:35:35 EDT
Does it happen with Seamonkey or Konqueror?
Comment 6 David Siembab 2013-06-06 10:33:51 EDT
It happens in:
seamonkey
midori
firefox

not in:
konqueror
opera

I would speculate, but might be off. It might be something in gtk or a setting in either application that uses spe as the default folder opener for downloads. Is there a way i could get all the calls from firefox seamonkey or midori
It is only when i right-click and select open parent folder. This is the debug option midori has
-------------------------------------------------------------------------------
[myusername@localhost ~]$ midori -d

(midori4:3526): GLib-GIO-CRITICAL **: g_file_get_parent: assertion `G_IS_FILE (file)' failed

(midori4:3526): GLib-GIO-CRITICAL **: g_file_get_path: assertion `G_IS_FILE (file)' failed

** (midori4:3526): CRITICAL **: void webkit_download_start(WebKitDownload*): assertion `priv->timer == NULL' failed

SPE v0.8.4.h (c)2003-2008 www.stani.be

If spe fails to start:
 - type "python SPE.py --debug > debug.txt 2>&1" at the command prompt
   (or if you use tcsh: "python SPE.py --debug >& debug.txt")
 - send debug.txt with some info to spe.stani.be[at]gmail.com
 
Blender support disabled (run SPE inside Blender to enable).
Encrypted debugging enabled.

Launching application...
-------------------------------------------------------------------------------

weird huh
Comment 7 Gwyn Ciesla 2013-06-07 10:26:43 EDT
I'm going to reassign this to glib2, since I *think* that's what's failing.  glib2 maintainers, please let me know if there's more I can do.
Comment 8 Fedora End Of Life 2013-12-21 10:32:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 18:10:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.